aboutsummaryrefslogtreecommitdiffstats
path: root/grpc-resource/installer/src/main/resources/scripts/install-feature.sh
diff options
context:
space:
mode:
authorAlexis de Talhouët <adetalhouet89@gmail.com>2019-01-18 13:50:18 -0500
committerAlexis de Talhouët <adetalhouet89@gmail.com>2019-01-29 03:47:08 +0000
commit9d88d3f3f4791ea83f996032b64faed2a30735eb (patch)
tree7dad4ba3a7c770cc90e48868c7a8f9156e56b0ff /grpc-resource/installer/src/main/resources/scripts/install-feature.sh
parent0a6fde9973487398b9cdb3fdfa3f79fac2bd9048 (diff)
Add gRPC client scafholding
Change-Id: I3775d0bfe2806f099952fe620b8b7705bf30fb7a Issue-ID: CCSDK-947 Signed-off-by: Alexis de Talhouët <adetalhouet89@gmail.com>
Diffstat (limited to 'grpc-resource/installer/src/main/resources/scripts/install-feature.sh')
-rw-r--r--grpc-resource/installer/src/main/resources/scripts/install-feature.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/grpc-resource/installer/src/main/resources/scripts/install-feature.sh b/grpc-resource/installer/src/main/resources/scripts/install-feature.sh
new file mode 100644
index 00000000..7e022e84
--- /dev/null
+++ b/grpc-resource/installer/src/main/resources/scripts/install-feature.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+#
+# Copyright (C) 2019 Bell Canada
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+ODL_HOME=${ODL_HOME:-/opt/opendaylight/current}
+ODL_KARAF_CLIENT=${ODL_KARAF_CLIENT:-${ODL_HOME}/bin/client}
+INSTALLERDIR=$(dirname $0)
+
+REPOZIP=${INSTALLERDIR}/${features.boot}-${project.version}.zip
+
+if [ -f ${REPOZIP} ]
+then
+ unzip -nd ${ODL_HOME} ${REPOZIP}
+else
+ echo "ERROR : repo zip ($REPOZIP) not found"
+ exit 1
+fi
+
+${ODL_KARAF_CLIENT} feature:repo-add ${features.repositories}
+${ODL_KARAF_CLIENT} feature:install ${features.boot}